=== debian/changelog ===
flask-restful (0.3.4-1) unstable; urgency=medium

  * Initial release (Closes: #763962)

 -- Jonathan Carter <jonathan@ubuntu.com>  Sat, 02 Jan 2016 18:11:34 +0200
