## flask-restful 0.3.5

=== debian/changelog ===
flask-restful (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #832860)
  * Fixed VCS URL (https)
  * Enabled autopkgtest-pkg-python testsuite
  * Standards-Version is 3.9.8 now (no changes needed)
  * Use Python 3 version of Sphinx to build docs
  * Use local copies of object.inv for building documentation (Closes: #830154)
  * Use SOURCE_DATE_EPOCH for copyright year to make build reproducible
    (Closes: #809780)

 -- Ondřej Nový <onovy@debian.org>  Sun, 14 Aug 2016 10:42:18 +0200
