=== debian/control ===
--- 
+++ 
@@ -10,26 +10,30 @@
                python-blinker,
                python-crypto,
                python-flask,
+               python-flask-doc,
                python-mock,
                python-nose,
-               python-sphinx,
                python-setuptools,
                python-six,
+               python-werkzeug-doc,
                python-tz,
                python3-all,
                python3-aniso8601,
                python3-blinker,
                python3-crypto,
+               python3-doc,
                python3-flask,
                python3-mock,
                python3-nose,
                python3-setuptools,
+               python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/twilio/flask-restful
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/flask-restful.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-restful.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-restful.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-flask-restful
 Architecture: all
@@ -56,7 +60,11 @@
 Package: python-flask-restful-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+         python-flask-doc,
+         python-werkzeug-doc,
+         python3-doc,
 Description: REST API framework for Flask applications (Documentation)
  Flask-RESTful is an extension for Flask that adds support for quickly building
  REST APIs. It is a lightweight abstraction that works with your existing
