## flask-restful 0.3.6

=== Makefile ===
--- 
+++ 
@@ -139,7 +139,7 @@
 test: .depends-test .clean-test
 	$(NOSE) tests --with-coverage --cover-package=$(PACKAGE)
 
-test-all: test-py26 test-py27 test-py33 test-py34
+test-all: test-py26 test-py27 test-py33 test-py34 test-py35
 test-py26:
 	PYTHON_MAJOR=2 PYTHON_MINOR=6 $(MAKE) test
 test-py27:
@@ -148,6 +148,8 @@
 	PYTHON_MAJOR=3 PYTHON_MINOR=3 $(MAKE) test
 test-py34:
 	PYTHON_MAJOR=3 PYTHON_MINOR=4 $(MAKE) test
+test-py35:
+	PYTHON_MAJOR=3 PYTHON_MINOR=5 $(MAKE) test
 
 .PHONY: htmlcov
 htmlcov: test
