=== tests/requirements.txt ===
nose>=1.1.2
mock>=0.8
nosexcover
blinker
