=== debian/changelog ===
flask-restful (0.3.6-6ubuntu1) cosmic; urgency=medium

  * Enable unit test execution:
    - d/rules: Remove override of dh_auto_test.
    - d/p/fix-fr-405.patch: Cherry pick upstream change for failing
      test with newer flask versions.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Aug 2018 09:25:05 +0100

flask-restful (0.3.6-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Jonathan Carter ]
  * Skip flailing tests (Closes: #902462)
  * Update standards version to 4.2.0

 -- Jonathan Carter <jcc@debian.org>  Sat, 11 Aug 2018 11:46:45 +0200

flask-restful (0.3.6-4) unstable; urgency=medium

  * Re-add python2 binary package
  * Update standards version to 4.1.4

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 May 2018 20:00:00 +0200

flask-restful (0.3.6-3) unstable; urgency=medium

  * Cherry pick upstream patch to fix ftbfs with
    aniso8601 (3.0) (Closes: #893019)

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Apr 2018 16:23:12 +0200

flask-restful (0.3.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jonathan Carter ]
  * Set compat to level 11
  * Update maintainer email address
  * Update standards version to 4.1.3
  * Drop python2 version
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 13 Feb 2018 10:16:27 +0100

flask-restful (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * Upgrade compat to 10
  * Update standards version to 4.0.0
    - Update Format field to use https url for copyright-format
  * Set Testsuite to autopkgtest-pkg-python
  * Solves FTBFS due to recent changes in unstable  (Closes: #865663)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 12 Jul 2017 14:38:47 +0200
