=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: flask-restful
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Jonathan Carter <jonathan@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-aniso8601,
@@ -29,10 +30,10 @@
                python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 Homepage: https://github.com/twilio/flask-restful
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-restful.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-restful.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
 Testsuite: autopkgtest-pkg-python
 
 Package: python-flask-restful
