## flask-restful 0.3.7

=== debian/changelog ===
flask-restful (0.3.7-4) unstable; urgency=medium

  * Version bump (no changes)

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Aug 2019 12:54:40 +0000

flask-restful (0.3.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Jonathan Carter ]
  * Initial source-only upload

 -- Ondřej Nový <onovy@debian.org>  Sat, 20 Jul 2019 00:29:29 +0200

flask-restful (0.3.7-2) unstable; urgency=medium

  * Drop python2 binary package
    (dependencies no longer available in unstable)
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 13:18:33 +0000

flask-restful (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.3.0
  * Remove support-aniso8601-3.0 patch, now applied upstream
  * Remove fix-fr-405.patch, now applied upstream
  * Remove skip-bad-test.patch, fixed upstream

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 Jan 2019 16:51:22 +0200

flask-restful (0.3.6-7) unstable; urgency=medium

  * Fix failing tests, thank you James Page for patch
    (Closes: #906166)
  * Update standards version to 4.2.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 26 Sep 2018 09:53:03 +0200
