=== debian/control ===
Source: flask-restful
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-aniso8601,
               python3-blinker,
               python3-crypto,
               python3-doc,
               python3-flask,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-sphinx,
               python3-six,
               python3-tz
Standards-Version: 4.4.0
Homepage: https://github.com/twilio/flask-restful
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
Testsuite: autopkgtest-pkg-python

Package: python3-flask-restful
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: REST API framework for Flask applications (Python3 Module)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.

Package: python-flask-restful-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python-flask-doc,
         python-werkzeug-doc,
         python3-doc,
Description: REST API framework for Flask applications (Documentation)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.
 .
 This package provides the documentation.
