## flask-restful 0.3.8

=== debian/changelog ===
flask-restful (0.3.8-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 07 Feb 2020 19:12:04 +0200
