=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/twilio/flask-restful
 Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
