## flask-restful 0.3.9

=== debian/changelog ===
flask-restful (0.3.9-6) unstable; urgency=medium

  * Add a || kill in the trap function of functional tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Dec 2022 10:26:34 +0100

flask-restful (0.3.9-5) unstable; urgency=medium

  * Team upload.
  * Refreshed 0003-Use-local-copies-of-object.inv-for-building-document.patch.
  * Add Fix_the_tests_with_flask_2.1.2.patch.
  * Fix autopkgtest so it works with multiple Python interpreter installed (ie:
    kill the flask-restful server before trying to spawn a 2nd one).
    (Closes: #1024913).
  * Add replace-flask_abort-by-_aborter.patch
  * Add add-missing-location-when-calling-add_argument.patch thanks to Rene
    Luria <rene.luria@infomaniak.com>. This fixes all unit tests with the new
    werkzeug 2.2.2.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Dec 2022 10:23:13 +0100

flask-restful (0.3.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-flask-restful-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:27:56 +0100

flask-restful (0.3.9-3) unstable; urgency=medium

  * Team upload.

  [ Emanuele Rocca ]
  * Use pytest instead of nose.
    See 0001-use-pytest-not-nose.patch (Closes: #1018358).
  * Add functional testing with autopkgtest.
  * Fix "alien-tag" lintian error by moving d/source/lintian-overrides to
    d/python3-flask-restful.lintian-overrides.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Emanuele Rocca <ema@debian.org>  Fri, 14 Oct 2022 20:45:01 +0200

flask-restful (0.3.9-2) unstable; urgency=medium

  * Upload to unstable
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 20:43:45 +0200

flask-restful (0.3.9-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Fri, 18 Jun 2021 13:48:58 +0200

flask-restful (0.3.8-5) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit.

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Nov 2020 14:44:59 +0200

flask-restful (0.3.8-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * d/control: Build-Depends and Depends on python3-pycryptodome (Closes:
    #971314).
    - PyCrypto is no longer maintaned.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 30 Sep 2020 12:38:13 -0300

flask-restful (0.3.8-3) unstable; urgency=medium

  * Team Upload.
  * Update tests according to werkzeug version in archive
    (Closes: #966962)
  * compat version: 13

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 05 Aug 2020 14:10:31 +0530

flask-restful (0.3.8-2) unstable; urgency=medium

  * New upload to merge diverged git history

 -- Jonathan Carter <jcc@debian.org>  Fri, 07 Feb 2020 19:19:05 +0200
