=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: flask-restful
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-aniso8601,
                python3-blinker,
-               python3-crypto,
+               python3-pycryptodome,
                python3-doc,
                python3-flask,
                python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-setuptools,
                python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/twilio/flask-restful
-Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
+Vcs-Git: https://salsa.debian.org/python-team/packages/flask-restful.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-restful
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-flask-restful
@@ -41,6 +41,7 @@
          python-flask-doc,
          python-werkzeug-doc,
          python3-doc,
+Multi-Arch: foreign
 Description: REST API framework for Flask applications (Documentation)
  Flask-RESTful is an extension for Flask that adds support for quickly building
  REST APIs. It is a lightweight abstraction that works with your existing
