=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=flask-restful
 
 %:
-	dh $@ --buildsystem=pybuild --with=python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with=python3,sphinxdoc
 
 override_dh_auto_clean:
 	dh_auto_clean
