## flask-restful 0.3.10

=== debian/changelog ===
flask-restful (0.3.10-6) unstable; urgency=medium

  * Team upload.
  * Patch test for Pytest 8.4 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Aug 2025 20:48:21 +0200

flask-restful (0.3.10-5) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 18:39:58 +0100

flask-restful (0.3.10-4) unstable; urgency=medium

  * Team upload.
  * Trim debian/rules & rewrite with modern syntax
  * Rweak intersphinx patch (Closes: #1090221)
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 13:27:11 +0100

flask-restful (0.3.10-3) unstable; urgency=medium

  * Team upload.
  [ Rebecca N. Palmer ]
  * Tests: don't pass pytz.timezone to datetime. (Closes: #1084256)

 -- Santiago Vila <sanvila@debian.org>  Sat, 09 Nov 2024 18:20:00 +0100

flask-restful (0.3.10-2) unstable; urgency=medium

  * Team upload.
  * d/control: move ${sphinxdoc:Built-Using} from Depends to Built-Using.
    The fixed-version dependency was blocking a new version of Sphinx.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * watch file standard 4 (routine-update)
  * d/control: add missing dependencies on other -docs packages
  * d/patches/0003-Use-local-copies-of-object.inv-for-building-document.patch:
    link to packaged copy of the "six" HTML documentation.
  * removed unused debian/python3-flask-restful.lintian-overrides
  * d/control: switch to autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Mar 2024 13:27:57 +0100

flask-restful (0.3.10-1) unstable; urgency=medium

  [Jonathan Carter]
  * New upstream release
  * Update standards version to 4.6.2

  [Yogeswaran Umasankar]
  * Updated old patches for the new upstream version.
  * Patch for AttributeError in test with Python 3.12 + removed
    deprecated signals_available from test file.
  * Disabled two tests in rules until XML request handling is fixed
    (Closes: #1061028).
  * Added ${sphinxdoc:Built-Using} to python-flask-restful-doc depends.

 -- Jonathan Carter <jcc@debian.org>  Sat, 03 Feb 2024 01:00:00 +0000
