=== debian/control ===
--- 
+++ 
@@ -4,25 +4,24 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-aniso8601,
                python3-blinker,
                python3-pycryptodome,
                python3-doc,
                python3-flask,
-               python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-               python3-six,
                python3-tz
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Build-Depends-Indep: python-flask-doc <!nodoc>,
+                     python-werkzeug-doc <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/twilio/flask-restful
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-restful.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-restful
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-flask-restful
 Architecture: all
@@ -40,7 +39,8 @@
          ${sphinxdoc:Depends},
          python-flask-doc,
          python-werkzeug-doc,
-         python3-doc,
+         python3-doc
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: REST API framework for Flask applications (Documentation)
  Flask-RESTful is an extension for Flask that adds support for quickly building
