=== debian/tests/control ===
Tests: functional
Depends:
 curl,
 python3-all,
 @
Restrictions: allow-stderr, isolation-container
