=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-restful-$1\.tar\.gz/ \
   https://github.com/twilio/flask-restful/tags .*/v?(\d\S*)\.tar\.gz
